# e-unicode

## Name

e-unicode --

## Synopsis

    #define     gnome_font_get_size             (f)
    #define     gnome_font_get_glyph_width
    #define     gnome_font_lookup_default
    void        e_unicode_init                  (void);
    const gchar* e_utf8_strstrcase              (const gchar *haystack,
                                                 const gchar *needle);
    const gchar* e_utf8_strstrcasedecomp        (const gchar *haystack,
                                                 const gchar *needle);
    gchar*      e_utf8_from_gtk_event_key       (GtkWidget *widget,
                                                 guint keyval,
                                                 const gchar *string);
    gchar*      e_utf8_from_gtk_string          (GtkWidget *widget,
                                                 const gchar *string);
    gchar*      e_utf8_from_gtk_string_sized    (GtkWidget *widget,
                                                 const gchar *string,
                                                 gint bytes);
    gchar*      e_utf8_to_gtk_string            (GtkWidget *widget,
                                                 const gchar *string);
    gchar*      e_utf8_to_gtk_string_sized      (GtkWidget *widget,
                                                 const gchar *string,
                                                 gint bytes);
    gchar*      e_utf8_gtk_entry_get_text       (GtkEntry *entry);
    void        e_utf8_gtk_entry_set_text       (GtkEntry *entry,
                                                 const gchar *text);
    gchar*      e_utf8_gtk_editable_get_text    (GtkEditable *editable);
    void        e_utf8_gtk_editable_set_text    (GtkEditable *editable,
                                                 const gchar *text);
    gchar*      e_utf8_gtk_editable_get_chars   (GtkEditable *editable,
                                                 gint start,
                                                 gint end);
    void        e_utf8_gtk_editable_insert_text (GtkEditable *editable,
                                                 const gchar *text,
                                                 gint length,
                                                 gint *position);
    GtkWidget*  e_utf8_gtk_menu_item_new_with_label
                                                (GtkMenu *menu,
                                                 const gchar *label);
    void        e_utf8_gtk_clist_set_text       (GtkCList *clist,
                                                 gint row,
                                                 gint col,
                                                 const gchar *text);
    gint        e_utf8_gtk_clist_append         (GtkCList *clist,
                                                 gchar *text[]);
    gint        g_unichar_to_utf8               (gint c,
                                                 gchar *outbuf);
    guint32     gdk_keyval_to_unicode           (guint keysym);

## Description

## Details

### gnome_font_get_size()

    #define     gnome_font_get_size(f)

`f` : |

### gnome_font_get_glyph_width

    #define     gnome_font_get_glyph_width

### gnome_font_lookup_default

    #define     gnome_font_lookup_default

### e_unicode_init ()

    void        e_unicode_init                  (void);

### e_utf8_strstrcase ()

    const gchar* e_utf8_strstrcase              (const gchar *haystack,
                                                 const gchar *needle);

`haystack` : |
`needle` : |
Returns : |

### e_utf8_strstrcasedecomp ()

    const gchar* e_utf8_strstrcasedecomp        (const gchar *haystack,
                                                 const gchar *needle);

`haystack` : |
`needle` : |
Returns : |

### e_utf8_from_gtk_event_key ()

    gchar*      e_utf8_from_gtk_event_key       (GtkWidget *widget,
                                                 guint keyval,
                                                 const gchar *string);

`widget` : |
`keyval` : |
`string` : |
Returns : |

### e_utf8_from_gtk_string ()

    gchar*      e_utf8_from_gtk_string          (GtkWidget *widget,
                                                 const gchar *string);

`widget` : |
`string` : |
Returns : |

### e_utf8_from_gtk_string_sized ()

    gchar*      e_utf8_from_gtk_string_sized    (GtkWidget *widget,
                                                 const gchar *string,
                                                 gint bytes);

`widget` : |
`string` : |
`bytes` : |
Returns : |

### e_utf8_to_gtk_string ()

    gchar*      e_utf8_to_gtk_string            (GtkWidget *widget,
                                                 const gchar *string);

`widget` : |
`string` : |
Returns : |

### e_utf8_to_gtk_string_sized ()

    gchar*      e_utf8_to_gtk_string_sized      (GtkWidget *widget,
                                                 const gchar *string,
                                                 gint bytes);

`widget` : |
`string` : |
`bytes` : |
Returns : |

### e_utf8_gtk_entry_get_text ()

    gchar*      e_utf8_gtk_entry_get_text       (GtkEntry *entry);

`entry` : |
Returns : |

### e_utf8_gtk_entry_set_text ()

    void        e_utf8_gtk_entry_set_text       (GtkEntry *entry,
                                                 const gchar *text);

`entry` : |
`text` : |

### e_utf8_gtk_editable_get_text ()

    gchar*      e_utf8_gtk_editable_get_text    (GtkEditable *editable);

`editable` : |
Returns : |

### e_utf8_gtk_editable_set_text ()

    void        e_utf8_gtk_editable_set_text    (GtkEditable *editable,
                                                 const gchar *text);

`editable` : |
`text` : |

### e_utf8_gtk_editable_get_chars ()

    gchar*      e_utf8_gtk_editable_get_chars   (GtkEditable *editable,
                                                 gint start,
                                                 gint end);

`editable` : |
`start` : |
`end` : |
Returns : |

### e_utf8_gtk_editable_insert_text ()

    void        e_utf8_gtk_editable_insert_text (GtkEditable *editable,
                                                 const gchar *text,
                                                 gint length,
                                                 gint *position);

`editable` : |
`text` : |
`length` : |
`position` : |

### e_utf8_gtk_menu_item_new_with_label ()

    GtkWidget*  e_utf8_gtk_menu_item_new_with_label
                                                (GtkMenu *menu,
                                                 const gchar *label);

`menu` : |
`label` : |
Returns : |

### e_utf8_gtk_clist_set_text ()

    void        e_utf8_gtk_clist_set_text       (GtkCList *clist,
                                                 gint row,
                                                 gint col,
                                                 const gchar *text);

`clist` : |
`row` : |
`col` : |
`text` : |

### e_utf8_gtk_clist_append ()

    gint        e_utf8_gtk_clist_append         (GtkCList *clist,
                                                 gchar *text[]);

`clist` : |
`text` : |
Returns : |

### g_unichar_to_utf8 ()

    gint        g_unichar_to_utf8               (gint c,
                                                 gchar *outbuf);

`c` : |
`outbuf` : |
Returns : |

### gdk_keyval_to_unicode ()

    guint32     gdk_keyval_to_unicode           (guint keysym);

`keysym` : |
Returns : |